Skip to main content
GET
/
coupons
List coupons
curl --request GET \
  --url https://api.withorb.com/v1/coupons \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "redemption_code": "<string>",
      "discount": {
        "discount_type": "percentage",
        "percentage_discount": 0.5,
        "applies_to_price_ids": [
          "h74gfhdjvn7ujokd",
          "7hfgtgjnbvc3ujkl"
        ],
        "filters": [
          {
            "field": "price_id",
            "operator": "includes",
            "values": [
              "<string>"
            ]
          }
        ],
        "reason": "<string>"
      },
      "times_redeemed": 123,
      "duration_in_months": 12,
      "max_redemptions": 123,
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

show_archived
boolean | null

Show archived coupons as well (by default, this endpoint only returns active coupons).

redemption_code
string | null

Filter to coupons matching this redemption code.

Response

OK

data
Coupon · object[]
required
pagination_metadata
PaginationMetadata · object
required